## @file
# Makefiles
#
# Copyright (c) 2007 - 2014, Intel Corporation. All rights reserved.<BR>
# This program and the accompanying materials
# are licensed and made available under the terms and conditions of the BSD License
# which accompanies this distribution.    The full text of the license may be found at
# http://opensource.org/licenses/bsd-license.php
#
# THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
# WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
#

MAKEROOT ?= ../..

include $(MAKEROOT)/Makefiles/header.makefile

APPLICATION = $(MAKEROOT)/bin/$(APPNAME)
CC = gcc 
CXX = g++ 
AS = as 
AR = ar
LD = ld 
LINKER = $(CC)
LFLAGS += -LFIXMESTAGINGDIRHOST/usr/lib -LFIXMESTAGINGDIRHOST/lib -Wl,-rpath-link,FIXMESTAGINGDIRHOST/usr/lib -Wl,-rpath-link,FIXMESTAGINGDIRHOST/lib -Wl,-rpath,FIXMESTAGINGDIRHOST/usr/lib -Wl,-rpath,FIXMESTAGINGDIRHOST/lib -Wl,-O1 -Wl,--allow-shlib-undefined -Wl,--dynamic-linker=/data/oblac-provisioner/tmp/sysroots-uninative/x86_64-linux/lib/ld-linux-x86-64.so.2
CFLAGS += -isystemFIXMESTAGINGDIRHOST/usr/include -pipe

.PHONY:all
all: $(MAKEROOT)/bin $(APPLICATION) 

$(APPLICATION): $(OBJECTS) 
	$(LINKER) -o $(APPLICATION) $(BUILD_LFLAGS) $(OBJECTS) -L$(MAKEROOT)/libs $(LIBS)

$(OBJECTS): ../Include/Common/BuildVersion.h

include $(MAKEROOT)/Makefiles/footer.makefile
