#ifndef VfrTokens_h
#define VfrTokens_h
/* VfrTokens.h -- List of labelled tokens and stuff
 *
 * Generated from: VfrSyntax.g
 *
 * Terence Parr, Will Cohen, and Hank Dietz: 1989-2001
 * Purdue University Electrical Engineering
 * ANTLR Version 1.33MR33
 */
enum ANTLRTokenType {
	TheString=2,
	FormPkgType=9,
	OpenBrace=10,
	CloseBrace=11,
	OpenParen=12,
	CloseParen=13,
	OpenBracket=14,
	CloseBracket=15,
	LineDefinition=16,
	DevicePath=17,
	FormSet=18,
	FormSetId=19,
	EndFormSet=20,
	Title=21,
	FormId=22,
	OneOf=23,
	EndOneOf=24,
	Prompt=25,
	OrderedList=26,
	MaxContainers=27,
	EndList=28,
	EndForm=29,
	Form=30,
	FormMap=31,
	MapTitle=32,
	MapGuid=33,
	Subtitle=34,
	EndSubtitle=35,
	Help=36,
	Text=37,
	Option=38,
	FLAGS=39,
	Date=40,
	EndDate=41,
	Year=42,
	Month=43,
	Day=44,
	Time=45,
	EndTime=46,
	Hour=47,
	Minute=48,
	Second=49,
	GrayOutIf=50,
	Label=51,
	Timeout=52,
	Inventory=53,
	NonNvDataMap=54,
	Struct=55,
	Boolean=56,
	Uint64=57,
	Uint32=58,
	Uint16=59,
	Char16=60,
	Uint8=61,
	Uuid=62,
	CheckBox=63,
	EndCheckBox=64,
	Numeric=65,
	EndNumeric=66,
	Minimum=67,
	Maximum=68,
	STEP=69,
	Default=70,
	Password=71,
	EndPassword=72,
	String=73,
	EndString=74,
	MinSize=75,
	MaxSize=76,
	Encoding=77,
	SuppressIf=78,
	DisableIf=79,
	Hidden=80,
	Goto=81,
	FormSetGuid=82,
	InconsistentIf=83,
	WarningIf=84,
	NoSubmitIf=85,
	EndIf=86,
	Key=87,
	DefaultFlag=88,
	ManufacturingFlag=89,
	InteractiveFlag=90,
	NVAccessFlag=91,
	ResetRequiredFlag=92,
	ReconnectRequiredFlag=93,
	LateCheckFlag=94,
	ReadOnlyFlag=95,
	OptionOnlyFlag=96,
	Class=97,
	Subclass=98,
	ClassGuid=99,
	TypeDef=100,
	Restore=101,
	Save=102,
	Defaults=103,
	Banner=104,
	Align=105,
	Left=106,
	Right=107,
	Center=108,
	Line=109,
	Name=110,
	VarId=111,
	Question=112,
	QuestionId=113,
	Image=114,
	Locked=115,
	Rule=116,
	EndRule=117,
	Value=118,
	Read=119,
	Write=120,
	ResetButton=121,
	EndResetButton=122,
	DefaultStore=123,
	Attribute=124,
	Varstore=125,
	Efivarstore=126,
	VarSize=127,
	NameValueVarStore=128,
	Action=129,
	Config=130,
	EndAction=131,
	Refresh=132,
	Interval=133,
	VarstoreDevice=134,
	GuidOp=135,
	EndGuidOp=136,
	DataType=137,
	Data=138,
	Modal=139,
	ClassNonDevice=140,
	ClassDiskDevice=141,
	ClassVideoDevice=142,
	ClassNetworkDevice=143,
	ClassInputDevice=144,
	ClassOnBoardDevice=145,
	ClassOtherDevice=146,
	SubclassSetupApplication=147,
	SubclassGeneralApplication=148,
	SubclassFrontPage=149,
	SubclassSingleUse=150,
	StringIdentifier=155,
	Number=156,
	True=169,
	False=170,
	One=171,
	Ones=172,
	Zero=173,
	RefreshGuid=199,
	Dup=202,
	VarEqVal=203,
	Var=204,
	IdEqVal=205,
	IdEqId=206,
	IdEqValList=207,
	QuestionRef=208,
	RuleRef=209,
	StringRef=210,
	PushThis=211,
	Security=212,
	Get=213,
	Undefined=214,
	Version=215,
	Length=216,
	AND=217,
	OR=218,
	NOT=219,
	Set=220,
	BitWiseNot=221,
	BoolVal=222,
	StringVal=223,
	UnIntVal=224,
	ToUpper=225,
	ToLower=226,
	Match=227,
	Match2=228,
	Catenate=229,
	QuestionRefVal=230,
	StringRefVal=231,
	Map=232,
	Format=245,
	FLAG=246,
	Cond=247,
	Find=248,
	Mid=249,
	Tok=250,
	Span=251,
	DLGminToken=0,
	DLGmaxToken=9999};

#endif
